# Skip's No Compromises(tm) Rocky 9 Live Image, based on stock Rocky 9 Live workstation.
# Extra Features:
#   - Bundled nvidia drivers
#   - Intel i915 tweaks to work correctly, esp. on Nvidia + Intel dual GPU laptops
#   - Upstream new LT kernel for better driver compatibility
#   - EPEL, rpmfusion enabled by default
#   - Flatpak pre-configured so tons of apps available via Gnome software GUI
#
#
# How to make an ISO from this:
# - Have epel-release + Mock + pykickstart installed, add your user to the mock group, preferably be on a Rocky 9 system (x86_64)
#
# - sudo setenforce 0
# - mock -r rocky-9-x86_64 --init;   mock -r rocky-9-x86_64 --install lorax-lmc-novirt vim pykickstart git
# - sudo ksflatten -c NC_Rocky9_Workstation.ks -o /var/lib/mock/rocky-9-x86_64/root/nc_rocky9_kickstart.ks
# - mock -r rocky-9-x86_64 --shell --isolation simple  --enable-network
# - time livemedia-creator --ks /nc_rocky9_kickstart.ks   --no-virt  --resultdir /var/lmc  --project="Rocky Linux NC Workstation"  --make-iso  --volid Rocky9-NC  --iso-only  --iso-name Rocky9_NoCompromises-Workstation-x86_64.iso  --releasever=9  --nomacboot  --extra-boot-args  'i915.force_probe=*  rd.driver.blacklist=nouveau' --resultdir ./Rocky9_NC_iso
#
# Resulting iso should be in ./Rocky9_NC_iso/ , along with creation logs

# Include each component separately:
%include include/ws9_repos_pkgs.ks
%include include/ws9_base_settings.ks
%include include/ws9_disk.ks
%include include/ws9_stock_RockyLive.ks
%include include/ws9_post_fixes.ks





