# Use network installation
url --url="http://dl.rockylinux.org/pub/rocky/9/BaseOS/$basearch/os/"

# Rocky core repos:
repo --name="BaseOS" --baseurl=http://dl.rockylinux.org/pub/rocky/9/BaseOS/$basearch/os/ --cost=200
repo --name="AppStream" --baseurl=http://dl.rockylinux.org/pub/rocky/9/AppStream/$basearch/os/ --cost=200
repo --name="CRB" --baseurl=http://dl.rockylinux.org/pub/rocky/9/CRB/$basearch/os/ --cost=200
repo --name="extras" --baseurl=http://dl.rockylinux.org/pub/rocky/9/extras/$basearch/os --cost=200


# Extra 3rd party repos:
repo --name="epel" --baseurl=https://dl.fedoraproject.org/pub/epel/9/Everything/$basearch/ --cost=200
repo --name="rpmfusion-free"  --baseurl=http://download1.rpmfusion.org/free/el/updates/9/$arch  --cost=200
repo --name="rpmfusion-nonfree" --baseurl=http://download1.rpmfusion.org/nonfree/el/updates/9/$arch  --cost=200
repo --name="elrepo-kernel" --baseurl=https://elrepo.org/linux/kernel/el9/$basearch/ --cost=50
repo --name="nvidia" --baseurl=https://developer.download.nvidia.com/compute/cuda/repos/rhel9/$basearch/  --cost=100
repo --name="onlyoffice" --baseurl=http://download.onlyoffice.com/repo/centos/main/noarch/ --cost=200



# Initial package selection
%packages
@anaconda-tools
@base-x
@core
@fonts
@gnome-desktop
@guest-desktop-agents
@hardware-support
@internet-browser
@multimedia
@networkmanager-submodules
@workstation-product
aajohan-comfortaa-fonts
anaconda
anaconda-install-env-deps
anaconda-live
chkconfig
dracut-live
glibc-all-langpacks
initscripts


# kernel and Nvidia drivers here:
kernel-lt
kernel-lt-devel
kernel-lt-modules
kernel-lt-modules-extra
kernel-headers
kernel-lt-tools

# we want to exclude the stock kernel and dependent modules:
-kernel
-kernel-core
-kernel-modules
-kernel-modules-extra
-vdo
-kmod-kvdo

# Nvidia + gfx:
kmod-nvidia-latest-dkms
vulkan-tools
glx-utils

# Extra repos enabled:
rpmfusion-free-release
rpmfusion-nonfree-release
epel-release
elrepo-release

# Convenience packages:
tmux
screen
vim-enhanced
nano
wget
telnet
netcat
net-tools
bash-completion


# Office/productivity:
libreoffice-calc
libreoffice-emailmerge
libreoffice-graphicfilter
libreoffice-impress
libreoffice-writer

onlyoffice-desktopeditors
onlyoffice-repo

# Media:
gstreamer1-libav
gstreamer1-plugins-ugly
ffmpeg
vlc
vlc-extras

# Customization:
grub-customizer

memtest86+
syslinux
-@dial-up
-@input-methods
-@standard
-gfs2-utils
-reiserfs-utils

%end

